DELETE api/invoice/removereceiptallocation?receiptItemId={receiptItemId}&invoiceId={invoiceId}&allocationId={allocationId}

Remove a receipt list item allocation Processes this invoice API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
receiptItemId

The unique identifier of the receipt item resource.

integer

Required

invoiceId

The unique identifier of the invoice resource.

integer

Required

allocationId

The unique identifier of the allocation resource.

integer

Required

Body Parameters

None.

Response Information

Resource Description

The response returned after the operation completes.

Collection of ReceiptItemDataContract
NameDescriptionTypeAdditional information
AgencyId

The unique identifier of the related agency resource.

integer

None.

LiableAccountGroupName

The liable account group name value.

string

None.

RecipientAccountId

The unique identifier of the related recipient account resource.

integer

None.

LiableAccountId

The unique identifier of the related liable account resource.

integer

None.

ClientBankAccountId

The unique identifier of the related client bank account resource.

integer

None.

ReceiptAmount

The receipt amount value.

decimal number

None.

NegotiatorId

The unique identifier of the related negotiator resource.

integer

None.

ReceiptGrouping

The receipt grouping globally unique identifier.

globally unique identifier

None.

ReceivedDate

The received date, expressed as a date and time.

date

None.

Invoices

The collection of invoices.

Collection of ReceiptItemInvoiceDataContract

None.

PaymentType

The payment type classification.

PaymentType

None.

Id

The unique identifier of this resource.

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "AgencyId": 1,
    "LiableAccountGroupName": "sample string 2",
    "RecipientAccountId": 3,
    "LiableAccountId": 4,
    "ClientBankAccountId": 5,
    "ReceiptAmount": 6.0,
    "NegotiatorId": 7,
    "ReceiptGrouping": "78fca9e6-1d80-4ab5-a10d-e00c8a228bd5",
    "ReceivedDate": "2026-07-23T08:19:27.5149126Z",
    "Invoices": [
      {
        "InvoiceId": 1,
        "Regarding": "sample string 2",
        "Allocations": [
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          },
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          }
        ],
        "TotalAllocated": 3.0,
        "TotalReceipted": 4.0,
        "Id": 5
      },
      {
        "InvoiceId": 1,
        "Regarding": "sample string 2",
        "Allocations": [
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          },
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          }
        ],
        "TotalAllocated": 3.0,
        "TotalReceipted": 4.0,
        "Id": 5
      }
    ],
    "PaymentType": 0,
    "Id": 10
  },
  {
    "AgencyId": 1,
    "LiableAccountGroupName": "sample string 2",
    "RecipientAccountId": 3,
    "LiableAccountId": 4,
    "ClientBankAccountId": 5,
    "ReceiptAmount": 6.0,
    "NegotiatorId": 7,
    "ReceiptGrouping": "78fca9e6-1d80-4ab5-a10d-e00c8a228bd5",
    "ReceivedDate": "2026-07-23T08:19:27.5149126Z",
    "Invoices": [
      {
        "InvoiceId": 1,
        "Regarding": "sample string 2",
        "Allocations": [
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          },
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          }
        ],
        "TotalAllocated": 3.0,
        "TotalReceipted": 4.0,
        "Id": 5
      },
      {
        "InvoiceId": 1,
        "Regarding": "sample string 2",
        "Allocations": [
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          },
          {
            "UseBalanceAmount": 1.0,
            "ReceiptAmount": 2.0,
            "ToReceipt": 3.0,
            "ToAllocate": 4.0,
            "DateFundReceived": "2026-07-23T08:19:27.5149126Z",
            "NegotiatorId": 6,
            "Id": 7
          }
        ],
        "TotalAllocated": 3.0,
        "TotalReceipted": 4.0,
        "Id": 5
      }
    ],
    "PaymentType": 0,
    "Id": 10
  }
]